\name{imdownsample}
\alias{imdownsample}
\alias{imsubsample}
\title{downsamples an image}
\usage{
  imdownsample(imgA, dx, dy = dx,
    method = c("every", "mean"))

  imsubsample(imgA, dx, dy = dx,
    method = c("every", "mean"))
}
\arguments{
  \item{imgA}{input image to be downsampled}

  \item{dx}{window size (horizontal dimension)}

  \item{dy}{window size (vertical dimension), default dx.}

  \item{method}{one of "every" or "mean".  If "every",
  every dx and dy'th pixel will be kept (starting from the
  first) If "mean", the mean of every non-overlapping dx by
  dy box will be calculated and that is retained.}
}
\value{
  downsampled image, of size ceiling(dim(imgA)/c(dy,dx)),
  where pixel (i,j) is calculated according to parameter
  "method".
}
\description{
  downsamples an image
}
\details{
  The \code{method="mean"} mode is \bold{very slow} at the
  moment. It takes ~11 user-seconds on a 5000x1000x3 image
  with dx=3, and ~28 user-seconds on a 5000x3000x3 image,
  dx=3.  Consider whether you actually \emph{need} the mean
  in each cell before using this method; for display
  purposes \code{method="every"} does fine.

  Also, \code{method="mean"} is implemented with a 0 border
  condition (ie, if the dx by dy window goes outside of the
  image, missing values are assumed 0).
}
\note{
  \code{imsubsample} and \code{imdownsample} are aliases
  for the same function.
}

