\name{imdrawline}
\alias{imdrawline}
\title{Draw a line from point a to point b on an image}
\usage{
  imdrawline(img, x1, y1, x2, y2, col, one.based = TRUE,
    max = imageUtilities.option("max"))
}
\arguments{
  \item{img}{image to draw on}

  \item{x1}{column to start the line}

  \item{y1}{row to start the line}

  \item{x2}{column to end the line}

  \item{y2}{row to end the line}

  \item{col}{colour to draw with}

  \item{one.based}{boolean, whether x1, x2, y1, and y2 are
  1-based}

  \item{max}{the maximum intensity of the image}
}
\value{
  the image with the line from x1,x2 to y1,y2 on it
  (inclusive).
}
\description{
  Draw a line from point a to point b on an image
}
\note{
  if \code{col} is supplied in vector form and has any
  elements greater than 1, *and* max is greater than 1,
  then we will assume that \code{col} scales from 0 to 255.
}
\seealso{
  \code{\link{imdrawabline}} for a y=ax+b image

  Other draw: \code{\link{drawImage}},
  \code{\link{imdisp}}, \code{\link{imdrawabline}},
  \code{\link{plotPoints}}, \code{\link{pointPicker}}

  Other sandbox: \code{\link{imdrawabline}}
}

