\name{unitType}
\alias{unitType}
\title{returns the type of the given unit.}
\usage{
  unitType(unit, default.units = "pixels")
}
\arguments{
  \item{unit}{the input unit to get the type of}

  \item{default.units}{what to return of the input has no
  unit type}
}
\value{
  the unit: either a grid unit type or \code{default.units}
  as a string.
}
\description{
  returns the type of the given unit.
}
\examples{
library(grid)
unitType( unit(1,'inches') )           # 'inches'
unitType( unit(.5,'npc') )             # 'npc'
unitType( 1234 )                       # 'pixels'
unitType( 1234, default.units='fdsa' ) # 'fdsa'
}
\seealso{
  Other units: \code{\link{convertScreenUnits}},
  \code{\link{getScreenResolution}}
}

